Ftool
 Um Programa Gráfico-Interativo para Ensino de Comportamento de Estruturas
Versão 4.00

Download do Ftool

Sitio do Ftool: www.ftool.com.br

Autoria do Ftool

Download dos Manuais

  • Download deste manual em formato CHM (Compiled HTML Help, em português).
  • Download do manual em formato PDF (em português).
  • Download de roteiro (formato PDF, em português) e arquivo-modelo para criação e análise de um pórtico simples com o Ftool.
  • Download de roteiro (formato PDF, em português) e arquivo-modelo para criação e análise de uma treliça com o Ftool.
  • Download de roteiro (formato PDF, em português) e arquivo-modelo para criação de um modelo de ponte com dois trem-tipos e visualização de posições críticas dos trem-tipos ao longo de linhas de influência e de envoltórias de esforços internos com o Ftool.


Manipulação de Arquivos

Menu File

A manipulação de arquivos no Ftool se dá através do menu suspenso File.

O Menu File permite o usuário:

  • About Ftool: Obter informações sobre a versão atual do programa e autoria (veja na seção Autoria do Ftool);
  • Upgrade...: Fazer um upgrade no Ftool para a edição avançada (veja na seção Edição Avançada);
  • Sign Convention: Mostrar convenção de sinais de esforços internos e definir o padrão para traçado de diagramas (veja o detalhamento da convenção de sinais na seção Resultados - Convenção de Sinais para Esforços Internos);
  • New: Criar um novo modelo;
  • Open: Carregar na memória modelo gravado em um arquivo armazenado em disco. Os arquivos de modelo do Ftool têm a extensão ".ftl";
  • Save/Save as: Gravar o modelo corrente em um arquivo em disco com o mesmo nome ou com um nome diferente;
  • Import Properties: Importar todos os parâmetros globais (sistema de unidades, parâmetros de visualização, etc.) e todos os atributos (tabelas de propriedades de materiais e de seções transversais, tabelas de cargas, etc.) existentes em um outro arquivo .ftl. Tabelas de atributos e cargas também podem ser importadas em separado (veja nas seções Atributos de Nós e Barras e Aplicação de Cargas );
  • Export Line Results: Exportar para um arquivo resultados (diagramas de esforços internos, configuração deformada, linhas de influência ou envoltórias de esforços internos para cargas estáticas ou trens-tipo) ao longo de uma cadeia de barras selecionadas. Estas opções somente estão disponíveis ao visualizar resultados.
    • Step Values: Resultados salvos utilizando o passo corrente para visualização de resultados (veja na seção Resultados - Resultados Pontuais);
    • Display Resolution: Resultados salvos utilizando o passo utilizado para desenhar os diagramas na tela;
  • Export Screen: : Imprimir a imagem da tela (/Print...) ou exportar para a área de transferência do Windows (Clipboard) ou para arquivos com formatos específicos;
  • Totals: Verificar o número total de barras e nós existentes no modelo;
  • Limits: Determinar os limites da janela de trabalho;
  • Exit: Sair do programa.

Os comandos mais utilizados do menu File foram agrupados no conjunto de botões da régua de controle no topo da tela do Ftool:

Exportação de imagem através do Clipboard (Área de transferência)

Para obter os melhores resultados, siga os seguintes passos:

  • Escolha a opção Export Screen/Clipboard do menu File, ou aperte o botão [image], ou ainda tecle CTRL+C (clicando com o mouse antes na tela principal para deixar o foco nela). Isso vai copiar toda a imagem da tela principal do Ftool para o Clipboard (Área de transferência). Observe que toda a imagem vai ser copiada e não somente os objetos que estiverem selecionados naquele instante.
  • Abra o aplicativo que vai importar a imagem, por exemplo o MS-Word. No MS-Word, selecione a opção Paste ... (Colar...) do menu Edit (Editar) ou tecle CTRL+V. Em Windows, pode-se usar a opção Paste Special... (Colar Especial...), selecionando, em seguida, a opção Picture (Figura) ou a opção Picture (Enhanced Metafile) – Figura (Metarquivo avançado).
  • Edite a figura resultante. Você pode engrossar as linhas (½ pt ou ¾ pt são boas opções), trocar as cores dos elementos, etc.
  • Se a impressora for preto-e-branco, melhores resultados serão obtidos se, antes de exportar a imagem, a opção Display > Black Foreground for selecionada.


Criação e Manipulação da Estrutura

Menu de Edição

O menu de edição reúne os botões para a criação e modificação do modelo.

A inserção de barras, nós ou linhas de cota no Ftool possui um comportamento que automaticamente atrai o cursor do mouse para uma entidade existente (um nó ou uma barra). O processo de criação pode ser auxiliado pelo uso do Snap (atração) para uma grade (Grid) de pontos(veja na seção Controles da Visualização - Controle de Coordenadas).

Criação de Barras e Nós

A criação de uma barra ou um nó se faz de maneira direta. Para inserir uma barra (Member), basta selecionar o botão [image] e clicar em dois pontos do canvas. Instantaneamente são criados os nós nas extremidades da barra. Se a barra inserida interceptar uma barra existente, o nó da interseção das duas barras é automaticamente criado. Neste caso as duas barras são automaticamente subdivididas.

Analogamente, para criar um nó, seleciona-se [image] e clica-se com o mouse em um ponto do canvas. Se o ponto clicado estiver em uma barra existente, a barra é dividida em duas barras com a inserção do novo nó.

A entrada de linhas via mouse para a criação de barras é feita com dois cliques do mouse: um para o primeiro nó da barra e o outro para o segundo nó. Usualmente a entrada de linhas via mouse segue a regra "pressiona botão - arrasta mouse - libera botão". O modo em dois cliques permite que o usuário desista da inserção da barra depois do primeiro ponto, bastando para isso clicar com o botão da direita do mouse ou teclar Esc. Este tipo de entrada de linha também permite que o usuário dê um zoom ou translade a janela de desenho depois de ter entrado com o primeiro nó e antes de entrar com o segundo.

As coordenadas de qualquer posição do cursor do mouse são indicadas em uma caixa de texto na base da tela (veja na seção Controles da Visualização - Controle de Coordenadas). Durante a inserção de uma barra, o comprimento da barra antes do segundo clique do mouse é indicado em uma linha de mensagens no topo da tela.

Criação de Linhas de Cota

Linhas de Cota (Dimension Lines) são linhas auxiliares que servem para criar anotações de distância na imagem da estrutura. Para inserir uma linha de cota, basta selecionar o botão [image] no menu de edição e clicar em três pontos do canvas. Os dois primeiros pontos são os pontos de referência para cotagem de distância. O terceiro ponto serve para definir onde a linha de cota propriamente dita vai ficar localizada. Durante a construção da linha de cota, o programa atualiza na tela o desenho da linha de cota, até que o usuário entre com o terceiro ponto.

O modo de criação da linha de cota em três cliques permite que o usuário desista da inserção da linha antes de entrar com o ponto, bastando para isso clicar com o botão da direita do mouse ou teclar Esc. Este tipo de interação também permite que o usuário dê um zoom ou translade a janela de desenho depois de ter entrado com o primeiro ponto ou o segundo ponto e antes de entrar com o terceiro.

Modo Teclado

O botão [image] controla o modo teclado. Se este estiver ativo, ao tentar criar barras, nós e linhas de cota pelos métodos descritos acima, o usuário verá um diálogo onde pode digitar as coordenadas desejadas, onde o valor de tolerância (Tolerance) é utilizado para atração para entidades existentes (nunca utilize valor nulo para tolerância). Ao clicar “OK”, os diálogos retornam, permitindo que o usuário adicione mais elementos. No caso de barras, o diálogo retorna com valores que descrevem uma nova barra colinear de mesmo comprimento, permitindo assim a rápida criação de barras colineares sequenciais.

Modo Seleção

O botão [image] coloca o Ftool em modo de seleção. Neste modo, clicando com o botão direito do mouse sobre uma barra ou um nó, pode-se visualizar seus atributos na área do menu lateral. Usando o botão esquerdo seleciona-se uma entidade de um tipo (o programa nunca permite que barras e nós fiquem selecionados simultaneamente).

A seleção de um conjunto de barras ou um conjunto de nós pode ser feita clicando com o botão esquerdo do mouse concomitantemente com a tecla Shift. Com a tecla ativa, clicar novamente em elementos já selecionados os deseleciona.

Um conjunto de entidades também pode ser selecionado definindo-se um retângulo (Fence) de seleção. Para definir um Fence de seleção deve-se pressionar o botão esquerdo do mouse e arrastá-lo com o botão pressionado. O retângulo de seleção fica definido pelo ponto onde o botão do mouse é liberado. Se o retângulo for criado da esquerda à direita, o retângulo é vermelho e apenas elementos contidos inteiramente dentro do mesmo são selecionados. Já se for criado da direita à esquerda, é verde e qualquer elemento contido ou intersectado pelo retângulo é selecionado. Se a tecla Shift estiver ativa e já tiver elementos selecionados, o programa só considera elementos do mesmo tipo (barra ou nó) dos elementos selecionados. Caso contrário, o programa inicialmente tenta selecionar barras; caso nenhuma seja detectada, os vértices contidos são então selecionados.

A seleção de entidades tem três objetivos. O primeiro é a eliminação de entidades. Para tanto deve-se usar o botão [image]. O segundo objetivo é a transformação das entidades selecionadas (veja na seção Transformações). O terceiro objetivo é a aplicação de atributos ou cargas, que são sempre aplicados às barras ou nós que estiverem selecionados no instante.

Menu de Undo e Redo

A opção de Undo permite desfazer as últimas ações. A opção de Redo permite refazer a última ação desfeita.

As seguinte ações podem ser desfeitas:

  • Criação e deleção de barras, nós e linhas de cota;
  • Transformações de barras, nós e linhas de cota;
  • Aplicação de uma propriedade (material, seção transversal, restrições ao deslocamento de barras ou apoios e rótulas nodais) a barras e nós;
  • Aplicação de cargas estáticas (cargas nodais concentradas, momentos nas extremidades das barras, cargas distribuídas e térmicas);
  • Criação e deleção de casos e combinações de carga (Edição Avançada);
  • Modificações a combinações (adição ou remoção de casos inclusos na combinação ou edição dos fatores) (Edição Avançada).

As seguintes ações resetam a pilha de undo (o usuário não poderá desfazer ações anteriores, inclusive esta mesma ação):

  • Deleção de propriedades e cargas que em algum momento foram aplicadas a elementos do modelo;
  • Entrar no modo de visualização de resultados (ações tais como transformações feitas visualizando resultados entram na pilha de undo).

Transformações

Ao selecionar o botão Transform, a área lateral da direita apresenta o menu de transformações de objetos. Se nenhum objeto (barra, nó ou linha de cota) estiver selecionado quando o botão for clicado, a área estará completamente desabilitada. Se o usuário então selecionar um (ou mais) objeto(s), a opção "Enable Transform" ficará disponível. Ao ser clicado, o usuário já pode começar a transformar os objetos selecionados.

Quatro transformações estão disponíveis: translação (Move), rotação (Rotate), aplicar um fator de escala (Scale) e espelhamento (Mirror). A transformação a ser aplicada é definida selecionando a aba relevante.

As transformações apresentam três opções, sendo duas mutualmente exclusivas. Estas são: impedir que a transformação altere a topologia da estrutura (impedindo assim novas interseções, por exemplo) (Maintain Topology), e manter o objeto original (criando uma cópia na nova posição) (Leave Original). O usuário pode escolher desabilitar ambas opções ou ativar uma — não é possível ativar ambas simultaneamente. Com a opção de manter a topologia da estrutura, a transformação por espelhamento não é permitida. Outra opção é de, no término da transformação, os objetos transformados não permanecerem selecionados (Deselect after transform). O padrão é que esta opção esteja desabilitada, logo objetos permanecerão selecionados após as transformações

As transformações em si podem ser feitas tanto pelo mouse quanto pelo teclado. O "modo teclado" definido na barra à esquerda da área de desenho não é relevante para transformações. A operação a ser adotada depende da transformação desejada:

  • Translação:
    • Pelo mouse: O usuário clica uma vez na área de desenho para definir a origem da translação, arrasta o mouse e clica novamente para definir o fim da translação.
    • Pelo teclado: O usuário define a translação no eixo horizontal (DX) e vertical (DY) e então clica no botão Forwards para aplicar a transformação.
  • Rotação:
    • Pelo mouse: O usuário clica uma vez para definir a origem da rotação, arrasta o mouse, clica novamente para definir o início do arco de rotação, arrasta o mouse e clica novamente para definir o fim do arco (e logo o ângulo) de rotação.
    • Pelo teclado: O usuário define as coordenadas da origem da rotação (X e Y) e o ângulo (Angle) e então clica no botão Forwards para aplicar a transformação.
  • Fator de escala:
    • Pelo mouse: O usuário clica uma vez para definir a origem da transformação, arrasta o mouse, clica novamente para definir o vetor de referência, arrasta o mouse e clica novamente para definir o vetor transforado e logo o fator de escala (igual à razão dos comprimentos dos vetores transformado e de referência).
    • Pelo teclado: O usuário define a origem da transformação (X e Y) e o fator de escala (Factor) e então clica no botão Forwards para aplicar a transformação.
  • Espelhamento:
    • Pelo mouse: O usuário clica uma vez para definir um ponto, arrasta o mouse e clica novamente para definir a linha de espelhamento.
    • O usuário define as coordenadas de dois pontos ao longo da linha de espelhamento (X1, Y1, X2 e Y2) e então clica no botão Forwards para aplicar a transformação.

Outra opção ao aplicar transformações por teclado é utilizar o botão Back, que aplica uma transformação inversa à definida (se o usuário definir uma rotação de 15° e clicar Back, a rotação será de -15°, por exemplo).

Se a opção de manter a topologia da estrutura não for ativada, ao aplicar transformações com o mouse, um feedback será desenhado na tela indicando as posições finais das barras a serem transformadas, porém os objetos em si serão alterados apenas ao final da operação. Por outro lado, se a opção de manter a topologia estiver ativa, a transformação dos objetos é imediata, com todos os objetos sendo transformados conforme o usuário arrasta o mouse. Ao fazer tais transformação mantendo a topologia estrutural, sugere-se arrastar o mouse lentamente.

Toda transformação deve respeitar uma tolerância. Se a transformação for feita via teclado, a tolerância adotada pode ser definida pelo usuário na caixa de texto Tolerance, cujo valor padrão é igual ao menor valor possível com o atual formato numérico de comprimentos (1, 0.1, 0.01, 0.001, etc.) ou, no caso de formatos exponenciais, 1.0e-4. Para maiores detalhes sobre formatos numéricos, veja na seção Configurações - Formatação de Unidades e Valores Numéricos. Se a transformação for feita através do mouse, a caixa de texto Tolerance é desprezada e a tolerância é definida internamente em função da escala (zoom) do desenho.

Com uma das caixas de texto (DX ou DY da translação, por exemplo) selecionada, também é possível utilizar os seguintes atalhos: aperte Enter no teclado para aplicar a transformação ou Ctrl+Enter para aplicar a transformação inversa.

Transformações também podem ser feitas visualizando diagramas de esforços estáticos(diagramas ou envoltórias), a configuração deformada da estrutura ou linhas de influência. Nestes casos, a transformação deve obrigatoriamente manter a topologia da estrutura. Os resultados são automaticamente atualizados mantendo sua escala. Para mais informações, ver as subseções relevantes em Resultados.

Outra transformação possível é de alterar a orientação de barras (Invert member orientation). Ao selecionar barras (sem visualizar resultados), esta opção se torna disponível e permite espelhar a orientação da barra. Esta opção pode ser útil quando se utilizar cargas aplicadas no eixo local da barra.


Controle de Visualização

Menu de Controle de Visualização

Este menu agrupa todos os controles para definição da janela de visualização do modelo.

A opção Redesenhar apenas atualiza o canvas com o modelo atual. Esta opção é quase nunca necessária.

A opção para ajustar o modelo à tela enquadra a estrutura na área de desenho do programa deixando uma margem de folga.

A escala do desenho na tela pode ser alterada de várias formas. A primeira é definindo um retângulo de zoom (área de visualização definida por um retângulo). A entrada de dois cantos opostos do retângulo de visualização é feita com dois cliques do mouse. O modo em dois cliques permite que o usuário desista da redefinição da área de visualização depois do primeiro ponto do retângulo, bastando para isso clicar com o botão da direita do mouse ou teclar Esc. Se os dois cliques forem dados no mesmo ponto da tela, ocorrerá um zoom centrado neste ponto.

O botão de Zoom+ aumenta o tamanho do modelo na tela, enquanto o botão de Zoom– diminui o tamanho. Este efeito também pode ser conseguido "girando" o potenciômetro (dial) que controla a escala do desenho. Em ambos os casos, a escala do desenho se dá centrada no ponto médio da área de desenho.

Controle de Coordenadas

Neste menu se encontram as informações sobre a superfície de visualização. Os campos H e V armazenam o tamanho da janela de visualização e permitem a alteração destes valores. As mensagens X e Y mostram a posição do cursor a tela. Disponibiliza-se também a opção do usuário definir uma grade (Grid) de pontos na tela e outra para ativar a atração (Snap) do cursor para os pontos do Grid. Quando o Grid está ativo, seu espaçamento horizontal e vertical pode ser modificado pelas caixas de texto X e Y.

Menu Display

Neste menu o usuário pode escolher qual a cor de fundo de tela, tendo para cada cor de fundo selecionada diferentes cores relacionadas com as barras e nós do modelo. Outra opção é trabalhar com todos os elementos do modelo com a cor preta e fundo de tela branco. Isto permite que a imagem do modelo possa ser impressa em uma impressora monocromática. Pode-se também especificar quais os atributos que devem ser mostrados na tela durante o manuseio do programa. Deve-se observar que certas opções aplicam-se somente ao pré-processamento e outras somente ao pós-processamento.


Configurações

Menu Options

No Ftool é possível configurar:

  • Tamanhos de suportes, rótulas, cargas e texto no desenho do modelo na tela;
  • Opção para considerar ou não a carga estática no cálculo da envoltória de esforços resultantes das cargas móveis;
  • Opção para salvar arquivo auxiliar (extensão ".pos") que faz a comunicação com o módulo interno de análise (solver) do Ftool. O padrão é não salvar este arquivo. Esse padrão é forçado quando um novo modelo é criado ou aberto;
  • Sistema de unidades e de formatação de valores numéricos.

Tipo de Análise

Na versão atual do Ftool o único tipo de análise possível é a linear-elástica:

Tamanhos de suportes, rótulas, cargas e texto no desenho

No menu Options tem itens que permitem configurar os tamanhos de suportes, rótulas, cargas e texto no desenho do modelo na tela:

Para cada tipo de entidade, o tamanho do desenho pode ser pequeno (Small), médio (Medium) ou grande (Large). Os resultados da configuração desses tamanhos podem ser comparados nos desenhos do modelo de uma ponte:

Superposição de resultados de cargas estáticas e móveis

O Ftool, na configuração padrão, adiciona os efeitos de cargas estáticas no cálculo da envoltória de esforços internos resultantes das cargas móveis. Essa opção pode ser desativada através de um item do menu Options. Quando um novo modelo é criado ou lido de um arquivo, a configuração padrão é retornada.

Arquivo de comunicação com módulo de análise

O programa tem um módulo interno que realiza a análise (solver) do modelo estrutural corrente. É possível salvar em um arquivo auxiliar os dados que são passados para o módulo de análise. Em versões anteriores à versão 3.00, esse arquivo era a única opção para alimentar a análise. Após a versão 3.00, essa comunicação é feita em memória RAM. Entretanto, existe uma opção no menu Options que permite que esse arquivo seja salvo. O arquivo tem o mesmo nome do arquivo do modelo corrente, mas com a extensão ".pos". Essa opção é desativada quando um novo modelo é criado ou aberto de um arquivo.

Formatação de Unidades e Valores Numéricos

Através do diálogo de interface Units & Number Formatting, o usuário pode definir unidades para os diversos parâmetros envolvidos em uma análise estrutural pelo Ftool, bem como os formatos para exibição dos valores numéricos associados a estes parâmetros. Existem opções para especificar unidades padrão em SI (Sistema Internacional), em US (Sistema Americano), ou todas as unidades em kilo-Newtons e metros. Para especificar unidades padrão e as correspondentes formatações de valores, basta selecionar o botão correspondente no topo do diálogo. O usuário pode sempre alterar uma unidade ou formatação padrão para o que achar mais conveniente.

Sistemas de Unidades

  • A tabela abaixo mostra, para cada parâmetro usado, as unidades implementadas no Ftool e os correspondes fatores de conversão para as unidades de referência interna, que estão indicadas em negrito. Internamente, o programa converte todas as unidades para estas unidades de referência.
  • A primeira unidade de cada parâmetro é a unidade que aparece automaticamente quando o usuário seleciona unidades SI (Sistema Internacional) ou unidades US (Sistema Americano).
  • Na conversão para unidades que utilizam tonelada força (tf), foi adotado:
    1 tf = 103 kg×g
    Para conversão, foi adotada a aceleração da gravidade g = 9.81 m/seg2.
  • Unidades Pascal:
    1 Pa = 1 N/m2
    1 kPa = 103 N/m2 = 1 kN/m2
    1 MPa = 106 N/m2 = 103 kN/m2 = 1 N/mm2
    1 GPa = 109 N/m2 = 106 kN/m2 = 1 kN/mm2
Parâmetro

Unidades SI

Unidades US

Símbolo | Nome | Fator da | Símbolo | Nome | Fator da
unid. ref. SI | unid. ref. SI
Distância e | m | metro | 1.0 | ft | pé | 0.3048
Comprimento | cm | centímetro | 0.01 | in | polegada | 0.0254
mm | milímetro | 0.001
Deslocamento | mm | milímetro | 0.001 | in | polegada | 0.0254
cm | centímetro | 0.01 | ft | pé | 0.3048
m | metro | 1.0
Rotação | rad | radiano | 1.0 | rad | radiano | 1.0
deg | grau | p/180.0 | deg | grau | p/180.0
Tamanho de | mm | milímetro | 0.001 | in | polegada | 0.0254
Seção | cm | centímetro | 0.01 | ft | pé | 0.3048
m | metro | 1.0
Área de Seção | mm2 | 0.000001 | in2 | polegada2 | 0.02542
cm2 | 0.0001 | ft2 | pé2 | 0.30482
m2 | 1.0
Momento de | mm4 | 1.0e-12 | in4 | polegada4 | 0.02544
Inércia | cm4 | 1.0e-08 | ft4 | pé4 | 0.30484
m4 | 1.0
Força | kN | kilo-Newton | 1.0 | kip | kilo-libra | 4.448
N | Newton | 0.001 | lb | libra (força) | 0.004448
tf | tonelada (força) | 9.81
Momento | kNm | 1.0 | ft-k | pé×klb. | 1.356
Nm | 0.001 | ft-lb | pé×libra | 0.001356
tfm | 9.81 | in-k | poleg.×klb. | 0.11298
kNcm | 0.01 | in-lb | poleg.×libra | 0.00011298
Ncm | 0.00001
tfcm | 0.0981
kNmm | 0.001
Nmm | 0.000001
tfmm | 0.00981
Carga | kN/m | 1.0 | k/ft | klb./pé | 14.593
Distribuída | N/m | 0.001 | lb/ft | libra/pé | 0.014593
tf/m | 9.81 | k/in | klb./poleg. | 175.1
kN/cm | 100.0 | lb/in | libra/pé | 0.1751
N/cm | 0.1
tf/cm | 981.0
kN/mm | 1000.0
N/mm | 1.0
tf/mm | 9810.0
Temperatura | °C | grau Celsius | 1.0 | °F | grau Fahrenheit | (T-32)×5/9
Módulo de | MPa | mega-Pascal | 1000.0 | ksi | klb./poleg.2 | 6895.0
Elasticidade | GPa | giga-Pascal | 1000000.0 | psi | libra/poleg.2 | 6.895
tf/mm2 | 9810000.0 | k/ft2 | klb./pé2 | 47.878
N/cm2 | 10.0 | lb/ft2 | libra/pé2 | 0.047878
kN/cm2 | 10000.0
tf/cm2 | 98100.0
Pa | Pascal (N/m2) | 0.001
kN/m2 | kilo-Pascal | 1.0
tf/m2 | 9.81
Peso Específico | kN/m3 | 1.0 | pcf | libra/pé3 | 0.1571
N/m3 | 0.001 | k/ft3 | klb./pé3 | 157.1
tf/m3 | 9.81 | lb/in3 | libra/poleg.3 | 271.434
kN/cm3 | 1000000.0 | k/in3 | klb./poleg.3 | 271434.0
N/cm3 | 1000.0
tf/cm3 | 9810000.0
kN/mm3 | 1.0e+09
N/mm3 | 1000000.0
tf/mm3 | 9.81e+09
Dilat. Térmica | 1/°C | 1.0 | 1/°F | 1.8
Rigidez | kN/m | 1.0 | k/ft | klb./pé | 14.593
Translacional | N/m | 0.001 | lb/ft | libra/pé | 0.014593
de Mola | tf/m | 9.81 | k/in | klb./poleg. | 175.1
kN/cm | 100.0 | lb/in | libra/pé | 0.1751
N/cm | 0.1
tf/cm | 981.0
kN/mm | 1000.0
N/mm | 1.0
tf/mm | 9810.0
Rigidez | kNm/rad | 1.0 | ft-k/rad | pé×klb./rad | 1.356
Rotacional | Nm/rad | 0.001 | ft-lb/rad | pé×libra/rad | 0.001356
de Mola | tfm/rad | 9.81 | in-k/rad | poleg.×klb./rad | 0.11298
kNcm/rad | 0.01 | in-lb/rad | poleg.×libra/rad | 0.00011298
Ncm/rad | 0.00001 | ft-k/deg | pé×klb./grau | 244.08/p
tfcm/rad | 0.0981 | ft-lb/deg | pé×libra/grau | 0.24408/p
kNmm/rad | 0.001 | in-k/deg | poleg.×klb./grau | 20.3364/p
Nmm/rad | 0.000001 | in-lb/deg | poleg.×libra/grau | 0.0203364/p
tfmm/rad | 0.00981
kNm/deg | 180.0/p
Nm/deg | 0.18/p
tfm/deg | 1765.8/p
kNcm/deg | 1.8/p
Ncm/deg | 0.0018/p
tfcm/deg | 17.658/p
kNmm/deg | 0.18/p
Nmm/deg | 0.00018/p
tfmm/deg | 1.7658/p


Atributos de Nós e Barras

Menu de Controle dos Atributos dos Nós e Barras

Os botões deste menu permitem visualizar os diversos submenus responsáveis pela criação e atribuição de propriedades às entidades do modelo. Estes submenus aparecem na área lateral da tela do programa.

Características comuns aos Submenus

Os submenus para manipulação dos parâmetros de materiais, propriedades de seções transversais e valores de cargas possuem funcionamento básico igual. A lista drop-down (próxima figura) permite que seja selecionado um conjunto de propriedades através de seu nome. Os valores desta propriedade serão automaticamente visualizadas nos campos do submenu, permitindo sua edição.

Os botões da próxima figura permitem a manipulação destes conjuntos de propriedades.

Para criar um novo conjunto de propriedades, deve-se selecionar o botão [image] e atribuir um nome diferente das outras propriedades.

O botão [image] aciona a importação da lista de conjunto de propriedades de outro arquivo gerado pelo Ftool, porém o usuário deve atentar que se no arquivo importado existirem propriedades com o mesmo nome de propriedades do modelo corrente, elas serão ignoradas.

A função que condensa o conjunto de propriedades elimina aquelas que não estão em uso.

Submenu de Parâmetros dos Materiais

Para criar um novo conjunto de parâmetros de material, deve-se selecionar o botão [image] e atribuir um nome diferente dos outros conjuntos existentes (figura abaixo à esquerda). Para criar um material, seleciona-se um dos itens da lista drop-down: Generic Isotropic (material genérico isotrópico), Steel Isotropic (aço isotrópico), Concrete Isotropic (concreto isotrópico) ou Aluminium Isotropic (alumínio isotrópico).

Os parâmetros de material considerados são o módulo de elasticidade (E), o coeficiente de Poisson (ν) – usado em barras com deformação por cisalhamento – e coeficiente de dilatação térmica (α) – usado no caso de solicitações por variação de temperatura em barras. O programa sugere valores para os parâmetros dos materiais, por exemplo, para o aço, módulo de elasticidade E = 205000 MPa e, para o concreto, E = 25000 MPa. Esses valores podem ser alterados pelo usuário.

Submenu de Propriedades das Seções Transversais

Neste submenu através do botão [image] é criado um novo conjunto de propriedades de seção transversal. No instante da criação deve-se escolher o tipo de seção (section type) dentre as alternativas:

  • Genéricas:
    • Propriedades integrais (Integral Properties);
  • Paramétricas:
    • Retangular (Rectangle);
    • Perfil I (I-shape);
    • Cantoneira (Angle);
    • Perfil T (T-shape);
    • Perfil C (C-shape);
    • Perfil Z (Z-shape);
    • Barra circular (Circle);
    • Tubo anelar (Ring);
    • Cantoneira dupla (Double angle);
    • Seção de viga de ponte (Girder section);
    • Tubo quadrado (Box)
  • Tabeladas:
    • Perfil I soldado padrão NBR (NBR welded I-shapes);
    • Perfil I eletro-soldado da Usilight™ (Electro-Welded I-shapes BR);
    • Perfil I da Gerdau-Aço Minas™ (Gerdau-AcoMinas I-shapes BR);
    • Perfil I da norma americana (AISC Parallel I-shapes);
    • Perfis da Mills™ (Mills shapes BR);
    • Tubos da Vallourec™ (Vallourec tubes BR);

De acordo com o tipo de seção selecionada, na área lateral da tela deverão ser fornecidos os parâmetros que definem a seção transversal, conforme o desenho esquemático que acompanha o diálogo. As seções podem ser separadas em três grupos: genéricas, parametrizadas e tabeladas.

No caso de seções paramétricas, os parâmetros da seção devem ser definidos pelo usuário. No caso da seção genérica (apresentada abaixo), os parâmetros necessários são as seguintes propriedades geométricas:

  • A: área
  • As: área efetiva para cisalhamento
  • I: momento de inércia da seção transversal
  • d: altura da seção
  • y̅: posição do centro de gravidade

Cada propriedade deve ser não-nula:

  • A: para barras com deformação axial
  • As: para barras com deformação por cisalhamento
  • I: sempre
  • d e y̅: para barras com cargas térmicas

Para outras seções paramétricas, o usuário define as dimensões da seção (tal como altura e largura) e suas propriedades geométricas são calculadas automaticamente. Todas as dimensões são necessárias mas podem ser nulas (contanto que as propriedades geométricas relevantes sejam não-nulas).

No caso de seções tabeladas, o usuário deve simplesmente definir o perfil desejado.

Por exemplo, no caso do Perfil I soldado padrão NBR
(Welded I-shapes), como na figura ao lado, escolhe-se o
tipo de perfil (Beam, Column ou Beam-Column) e o
grupo de altura d. O usuário deve então usar as setas
para selecionar a seção desejada dentro deste grupo.

Dependendo do tipo de seção transversal selecionado, os botões [image], [image], [image] e [image] (todos, nenhum ou somente alguns) ficarão disponíveis. Os botões [image] e [image] espelham a seção ao redor do seu eixo vertical e horizontal, respectivamente. Já os [image] e [image] rotacionam a seção no sentido anti-horário e horário, respectivamente.

Submenu de Condições de Apoio

Através deste submenu, o usuário define as componentes de deslocamentos na direção x e y e a rotação em torno do eixo z estão liberados ou não. Define-se também o ângulo do apoio, bem como se há algum deslocamento prescrito ou rotação prescrita, ou ainda se há algum apoio elástico em qualquer das direções.

Submenu de Propriedades de Articulação de Barras

Este menu permite que se atribuam rótulas a barras ou nós. Quando uma barra é criada, o padrão é considerar ligações rígidas entre suas extremidades e os nós do modelo estrutural.

Submenu de Restrições de Deformações de Barras

Este menu permite que se restrinjam deformações de barras. Existem duas opções excludentes: barra flexível e barra infinitamente rígida. Para a barra flexível, existem duas opções não excludentes para ativar ou desativar deformação axial e para ativar ou desativar deformação por cisalhamento. Quando um novo modelo é criado, a opção para deformação axial está ativada e a opção para deformação por cisalhamento está desativada. Se um modelo aberto de um arquivo tiver todas as barras com deformação por cisalhamento permitida, a opção de deformação por cisalhamento na interface gráfica é ativada automaticamente.


Aplicação de Cargas

Menu de Controle das Cargas

Os botões deste menu permitem acionar os diversos submenus responsáveis pela criação e atribuição de carregamentos às entidades do modelo. Estes submenus aparecem na área lateral da tela do programa. Os tipos de cargas disponíveis são cargas concentradas aplicadas a nós, momentos aplicados em extremidades de barras, cargas uniformemente ou linearmente distribuídas aplicadas a barras, variações de temperatura aplicadas a barras e cargas móveis (trens-tipo). Com exceção das cargas móveis, todas as cargas são aplicadas em casos de carga e casos de carga podem ser superpostas em combinações de carga (veja na seção Informações Gerais)

Informações Gerais

  • Aplicação de cargas
    O sistema de aplicação de cargas é igual ao procedimento de aplicação de atributos de barras (material e seção transversal). Deve-se inicialmente criar um tipo de carga, que fica associado a um nome fornecido e é adicionado na lista de cargas correspondente. A figura abaixo mostra uma lista tipo drop-down de cargas distribuídas definidas pelos seus nomes. Os valores das cargas associadas ao nome selecionado serão automaticamente visualizados nos campos do submenu, permitindo sua edição.

    Os botões da próxima figura permitem a manipulação das cargas de uma lista.

    A carga corrente é a que vai ser aplicada aos elementos selecionados. Deve-se selecionar os elementos de interesse e aplicar a carga através do botão [image], para o casos de barras, ou o botão [image], para o caso de nós.

  • Sistemas de eixos no Ftool
    No Ftool existe um sistema de eixos globais da estrutura e um sistema de eixos locais para cada uma das barras (membros). No sistema global, o eixo X é horizontal com sentido da esquerda para a direita, o eixo Y é vertical com sentido de baixo para cima, e o eixo Z tem sentido positivo saindo do plano da estrutura. O sistema de eixos locais de uma barra é tal que o eixo x local coincide com o eixo da barra e tem o sentido de criação da barra, isto é, do nó inicial para o nó final. O sentido do eixo local x pode ser visualizado no programa selecionando a opção Member Orientation do menu Display. O eixo local z é sempre positivo saindo do plano da estrutura. O eixo y local é perpendicular ao eixo x e o seu sentido positivo é obtido pelo produto vetorial y = z × x, usando a regra da mão direita.

  • Aplicação de cargas concentradas
    No Ftool, cargas concentradas (forças e momentos) só podem ser aplicadas em nós da estrutura. Isto é assim para simplificar a interface do programa com o usuário, não existindo nenhum impedimento técnico para se aplicar uma carga concentrada no interior de uma barra. Se for preciso aplicar uma carga concentrada no interior de uma barra, basta inserir um nó na posição desejada, dividindo a barra em duas. As cargas concentradas são aplicadas sempre com os sentidos dos eixos globais da estrutura, sendo o sinal positivo quando as forças tiverem os sentidos dos eixos globais, e o sinal negativo quando contrário. Os momentos aplicados serão positivos quando tiverem o sentido anti-horário e negativos quando tiverem o sentido horário.

  • Sistemas de eixos para aplicação de cargas distribuídas
    No Ftool, a aplicação de uma carga distribuída em uma barra pode ser feita no sistema de eixos globais ou no sistema de eixos locais. Os sinais dos carregamentos serão positivos quando coincidirem com o sentido dos eixos globais ou locais, conforme for o caso, e negativo quando tiverem o sentido contrário. Na interface do programa, nos menus de aplicação de cargas distribuídas uniformes ou lineares, existe uma opção para especificar o sistema de eixos da carga distribuída (global ou local). Para simplificar a interface gráfica com o usuário, cargas distribuídas sempre abrangem o comprimento total das barras. No caso de uma carga distribuída com aplicação parcial ao longo de uma barra, pode-se inserir nós no interior da barra para definir a extensão de aplicação do carregamento distribuído.

  • Aplicação de cargas distribuídas parciais
    Para aplicar cargas distribuídas que atuam parcialmente em uma barra, pode-se inserir nós no interior da barra, criando novas barras resultantes da divisão da barra original. As cargas distribuídas são, então, aplicadas ao trecho de barra (divisão) desejada. Mas uma vez, isso é feito dessa maneira por uma decisão de política de interface com usuário. Assim é muito mais simples do que especificar as posições de atuação das cargas distribuídas parciais.

  • Remoção de cargas de nós ou barras
    Para remover qualquer carga que atua em barras ou nós selecionados, deve-se selecionar o primeiro elemento da lista drop-down (nada: NONE) e pressionar o botão de aplicar. Em outras palavras, "remover uma carga de entidades selecionadas no Ftool é aplicar nada". O usuário também pode utilizar o botão

    .

Submenu de Cargas Concentradas Nodais

Permite que sejam criadas e aplicadas cargas concentradas aos nós da estrutura. O sistema de coordenadas é o global.

Submenu de Cargas Momentos em Extremidades de Barras

Permite que sejam criados e aplicados momentos concentrados nas seções extremas de barras. Momentos aplicados no sentido anti-horário são positivos e no sentido horário são negativos, sendo "Ma" o momento aplicado na extremidade inicial da barra e "Mb" o momento aplicado na extremidade final da barra.

Submenu de Cargas Distribuídas Uniformes e Lineares

Permite que sejam criadas e aplicadas cargas distribuídas uniformes ou lineares às barras. Pode-se adotar como sistema de referência o sistema de coordenadas global ou o sistema local da barra.

Submenu de Solicitações de Variação de Temperatura

Permite que sejam criadas e aplicadas solicitações de variação de temperatura às barras. O usuário espefica a variação de temperatura no bordo superior (na fibra do lado positivo do eixo local y) e no bordo inferior (na fibra do lado negativo do eixo local y) da seção transversal.

Submenu de Cargas Móveis (Trens-tipo)

Permite que sejam criadas cargas móveis que são usadas nos cálculos de envoltórias de esforços internos (veja na seção Resultados - Menu de resultados de Envoltórias). O trem-tipo é composto por cargas concentradas, cargas uniformemente distribuídas e cargas acidentais (cargas de multidão). Ao inserir qualquer carga no trem-tipo, considera-se que ela seja orientada no sentido de cima para baixo e, por isso, conforme a convenção de sinais do Ftool, as cargas sempre aparecem com um sinal negativo, mesmo quando este não é colocado durante a edição.

As matrizes de cargas concentradas e distribuídas se redimensionam automaticamente: quando o usuário começa a preencher a última linha da matriz, outra linha é criada abaixo da mesma. Cargas podem ser apagadas de duas formas: o usuário pode definir o valor da carga igual a zero ou selecionar as linhas desejadas e apertar a tecla Delete no teclado. A matriz se redimensionará de acordo.

  • Fator de impacto
    É um fator de amplificação das cargas do trem-tipo, que permite levar em consideração o efeito dinâmico da ação do trem-tipo nas estruturas. O valor desse fator deve ser sempre maior que um.

  • Comprimento do trem-tipo
    Limita o intervalo onde atuam as cargas concentradas, distribuídas e de multidão interior.

  • Cargas concentradas
    A matriz de cargas concentradas é composta por duas colunas, com os seguintes parâmetros:

    • x - posição de uma carga em relação à origem do trem-tipo;
    • P - valor de uma carga.

    Não se permite criar um trem-tipo com cargas concentradas ocupando a mesma posição, nem com posição menor que a origem ou maior que o comprimento do trem-tipo. Para adicionar uma nova carga concentrada ao trem-tipo, deve-se primeiro entrar com a posição e depois com o valor da carga. À medida que são inseridas novas cargas, estas são automaticamente ordenadas pela posição, da menor para a maior. Acima da matriz existem dois botões que permitem aumentar e diminuir o número de linhas da matriz.

  • Cargas uniformemente distribuídas
    A matriz de cargas distribuídas varia conforme o tipo de trem-tipo. Quando o trem-tipo possui um único valor para a carga distribuída, aparecem três colunas na matriz, com os seguintes parâmetros:

    • xa - posição inicial de uma carga distribuída em relação à origem do trem-tipo;
    • xb - posição final de uma carga distribuída em relação à origem do trem-tipo;
    • q - valor da carga uniformemente distribuída.

    Quando o trem-tipo deve apresentar cargas de vagões cheios e vazios, q se torna o valor da carga para o vagão cheio e a matriz de carga distribuída apresenta uma coluna adicional, com o seguinte parâmetro:

    • q’ - valor da carga considerando o vagão vazio, usada para trem-tipo ferroviário.

    Não se permite criar um trem-tipo com cargas distribuídas que se sobreponham. As posições inicial e final da carga devem ser maiores que a origem e menores que o comprimento do trem-tipo. Para adicionar uma nova carga distribuída ao trem-tipo, deve-se primeiro entrar com as posições inicial e final e depois com o valor (ou valores) da carga. No caso do trem-tipo ferroviário, a primeira carga a ser editada deve ser q e depois q’. À medida que são inseridas novas cargas, estas são automaticamente ordenadas pela posição inicial, da menor para a maior. Quando o valor de xa é maior que xb, ou q é menor do que q’, automaticamente invertem-se estes valores. É possível modificar o tipo do trem-tipo, mesmo após terem sido inseridas cargas distribuídas. Ao transformar um trem-tipo que inicialmente possuía apenas um valor para a carga distribuída, para um com dois valores de carga distribuída, os valores da carga q são replicados para os da carga q’.

  • Cargas acidentais de multidão
    Podem existir dois tipos de carga acidental de multidão:

    • Externa: atua nos intervalos que não estão sob o trem-tipo;
    • Interna: atua no mesmo intervalo ocupado pelo trem-tipo.
    As cargas de multidão podem atuar parcialmente ao longo da estrutura. O que se busca são as posições de atuação das cargas interna e externa que maximizam ou minimizam um determinado esforço. O valor máximo de um determinado esforço é obtido quando as cargas de multidão estão posicionadas sobre ordenadas positivas da linha de influência, e o valor mínimo é obtido quando estiverem posicionadas sobre ordenadas negativas da linha de influência.


Resultados

Modos de Resultados

Existem três modos de resultados da análise de pórticos planos no Ftool: Diagrama (Diagram), Linha de Influência (Influence Line) e Envoltória de efeitos de trem-tipo (Load-Train Envelope). A seleção do modo desejado é feita através dos botões no menu de resultados, conforme descrito a seguir.

Nos modos Diagrama e de Envoltórias, a estrutura é automaticamente analisada pelo método da rigidez para apresentar os resultados solicitados assim que um botão para um resultado é selecionado. No modo Linha de Influência, o programa solicita que o usuário selecione uma seção transversal de um membro para fazer o traçado.

Se a opção Result Values estiver ativa (veja na seção Menu Display), os diagramas serão plotados com resultados nodais impressos. Se houver, valores máximos e mínimos locais também serão impressos. Se a opção Step Values estiver ativa, valores ao longo do diagrama serão impressos de acordo com o tamanho do passo definido.

Menu de resultados de Diagrama

O modo de Diagrama (Diagram results) considera a visualização de diagramas de esforços internos (esforço normal, esforço cortante e momento fletor) e a visualização de configuração deformada da estrutura sob o efeito dos carregamentos estáticos.

Na Edição Avançada, os valores apresentados são para o carregamento estático (caso ou combinação de carga) selecionado, o que pode ser modificado usando as listas de seleção no canto superior direito da janela (veja na seção Listas de Seleção de Cargas Estáticas e Trens-tipo).

Para a configuração deformada, o usuário pode selecionar qual componente deve ser impressa com o diagrama: a rotação, o deslocamento horizontal ou vertical ou nada. O diagrama em si é o mesmo independente da componente selecionada.

Valores pontuais de diagramas de esforços internos ou configuração deformada podem ser consultados, bastando selecionar um ponto em uma barra do modelo. Os valores desejados são mostrados na linha de mensagem no topo da tela. Se o botão direito do mouse for utilizado, resultados adicionais são mostrados na área lateral da tela (veja na seção Resultados Pontuais).

Neste modo o usuário pode aplicar transformações que não alteram a topologia da estrutura (veja na seção Edição - Transformações). Para tal, deve-se abrir a janela de transformações, selecionar os objetos desejados e então aplicar as transformações. Os resultados são atualizados automaticamente, mantendo sua escala.

Menu de resultados de Linhas de Influência

No modo de Linha de Influência (Influence Line) pode-se visualizar linhas de influência de esforço normal, esforço cortante e momento fletor em uma seção transversal selecionada. O traçado de uma linha de influência independe de qualquer carga aplicada na estrutura. Uma linha de influência representa os valores de um esforço interno na seção selecionada em função de uma carga unitária que percorre a estrutura. No Ftool, a carga unitária é sempre vertical de cima para baixo, não importando a direção da barra por onde a carga passa.

Sempre que houver um trem-tipo selecionado, ele é desenhado na parte superior e inferior da Linha de Influência, nas posições críticas que causam os esforços mínimo (negativo) e máximo (positivo), respectivamente. Nesse caso, a linha de influência é desenhada somente nas barras que pertencem ao caminho do trem-tipo. No caso em que não existe um trem-tipo selecionado, a linha de influência é desenhada em todas as barras da estrutura.

Quando não é possível detectar automaticamente o caminho que o trem-tipo deve percorrer, o usuário é avisado que deve voltar ao modo de seleção para selecionar um conjunto de barras que definem um caminho contínuo e suave para o trem-tipo. Uma vez determinado o caminho a ser percorrido pelo trem-tipo, o programa armazena a informação e o usuário só será solicitado a determinar novamente o caminho caso o modelo seja alterado.

Enquanto o botão para selecionar uma nova seção para traçado de linha de influência estiver pressionado, o programa faz um novo traçado para cada seção selecionada. Para evitar que uma nova seção para traçado de linha de influência seja selecionada, o botão que faz a seleção da seção para traçar a linha de influência (botão da direita no menu) deve ser liberado. Assim, consultas a valores locais (resultados pontuais) podem ser feitas sem redefinir a linha de influência em exibição. Os valores consultados são mostrados na linha de mensagem no topo da tela. Resultados adicionais de uma barra podem ser consultados, selecionando a barra com o botão da direita do mouse (veja na seção Resultados Pontuais).

Neste modo o usuário pode aplicar transformações que não alteram a topologia da estrutura (veja na seção Transformações). Para tal, deve-se gerar a linha de influência para algum esforço em um dado ponto e então abrir a janela de transformações, selecionar os objetos desejados e aplicar as transformações. As linhas de influência são atualizadas automaticamente, mantendo sua escala. Caso o usuário queira então verificar outra linha de influência, este deve apenas selecionar o esforço desejado novamente (ou o botão para selecionar a seção desejada para traçar a linha de influência). Caso deseje-se então aplicar novas transformações (já com a janela de transformações aberta), deve-se selecionar o botão Select para permitir a seleção de objetos antes da transformação.

Menu de resultados de Envoltórias

O modo de Envoltória (Load-train envelope results) determina as envoltórias limites de um determinado esforço em uma estrutura. As envoltórias são diagramas de valores mínimos e máximos deste esforço provocados pela carga móvel (trem-tipo) corrente. Só é possível entrar no modo de envoltória de esforços caso haja um trem-tipo selecionado e um caminho a ser percorrido, que deve ser obrigatoriamente selecionado pelo usuário quando não é detectado automaticamente.

As envoltórias de esforços podem ser calculadas superpondo os efeitos da carga móvel (trem-tipo) com os efeitos das cargas estáticas. O diagrama de esforços internos para as cargas estáticas é desenhado em linhas tracejadas junto com as envoltórias. O menu Options apresenta um item que ativa ou desativa a superposição de resultados de cargas estáticas e móveis(veja na seção Configurações - Superposição de resultados de cargas estáticas e móveis). Na configuração padrão, esta opção está ativa. Esta é reativada sempre que um novo modelo for criado ou aberto de um arquivo.

O traçado das envoltórias é feito por interpolação de resultados de mínimos e máximos calculados em seções transversais selecionadas automaticamente ao longo das barras da estrutura. Para cada seção transversal selecionada, o programa traça a linha de influência correspondente e determina as posições críticas do trem-tipo corrente que provocam os valores mínimo e máximo naquela seção. As envoltórias são diagramas que interpolam linearmente os valores mínimos e máximos determinados nas seções transversais selecionadas. O mesmo tamanho de passo utilizado para o traçado dos diagramas de esforços internos, configuração deformada ou linhas de influência é adotado para a seleção das seções transversais utilizadas no cálculo das envoltórias. Caso a opção relevante esteja ativa (ver acima), a envoltória é então superposta ao diagrama de esforços estáticos.

Resultados pontuais das envoltórias são consultados selecionando um ponto em uma barra. Os valores mínimo e máximo das envoltórias no ponto selecionado são mostrados na linha de mensagens no topo da tela. Se o botão direito do mouse for utilizado, resultados adicionais são mostrados na área lateral da tela (veja na seção Resultados Pontuais).

Neste caso não é permitido fazer transformações nos objetos.

Convenção de Sinais para Esforços Internos

A convenção de sinais para esforços internos pode ser visualizada no programa selecionando a opção Sign Convention do menu File (ver Manipulação de Arquivos - Menu File). Quando isso é feito aparece um diálogo na tela que permite visualizar a convenção de sinais e definir o padrão para traçado de diagramas de esforços internos e linhas de influência.

  • Fibras superiores e inferiores
    A convenção de sinais para esforços internos depende da definição de quais são as fibras inferiores e superiores das seções transversais das barras. No Ftool, nas barras horizontais e inclinadas, as fibras inferiores são as fibras de baixo quando se olha o eixo vertical da tela na sua orientação natural (cabeça do observador para cima). Nas barras verticais as fibras inferiores são as da direita. A figura no topo do diálogo de convenção de sinais indica as fibras inferiores de uma estrutura que contém barras com todas as direções possíveis.

  • Convenção de sinais e padrões para traçado de diagramas
    O Ftool adota a seguinte convenção para os sinais dos esforços e para o desenho dos diagramas:

    • Esforcos normais (axiais):
      Esforços normais positivos são de tração e negativos de compressão. Na linha de mensagem também é indicado se é compressão ou tração. Valores positivos são desenhados do lado das fibras superiores e negativos do outro lado.

    • Esforços cortantes:
      Esforços cortantes são positivos quando, entrando com as forças à esquerda de uma seção transversal (olhando com a cabeça voltada das fibras inferiores para as superiores), a resultante das forças na direção vertical local for no sentido para cima. Como para esforços axiais, valores positivos são desenhados do lado das fibras superiores e negativos do outro lado

    • Momentos fletores:
      Momentos fletores são positivos quando tracionam as fibras inferiores e negativos quando tracionam as fibras superiores. O diagrama de momentos fletores pode ser desenhado com valores positivos tanto do lado da fibra tracionada quanto do lado da fibra comprimida, sendo esta configuração definida através de uma opção específica no diálogo de convenções de sinais. O sinal negativo do momento fletor no diagrama pode ser mostrado como opção, que pode ser acionada no menu Display (veja na seção Controle de Visualização - Menu Display).

  • Traçado de linhas de influência:
    As linhas de influência de esforços internos em seções selecionadas seguem a convenção de sinais mostrada acima. O padrão para traçado das linhas de influência pode ser definido no diálogo de convenções de sinais. Existem duas opções: valores positivos são desenhados do lado das fibras inferiores ou o traçado da linha de influência de um determinado esforço interno segue o padrão descrito acima para traçado de diagrama do esforço interno correspondente.
  • Traçado de envoltórias de esforços:
    As envoltórias de esforços internos seguem a convenção de sinais descrita acima para traçado de diagrama do esforço interno correspondente.

Escala dos Diagramas, Linhas de Influência e Envoltórias de Esforços

Os diagramas de esforços e a configuração deformada têm uma escala inicial definida na tela de forma que o valor máximo de um diagrama apareça razoavelmente na tela. Esta escala pode ser alterada utilizando o potenciômetro que fica à esquerda dos botões do menu de resultados.

O fator de escala dos resultados também pode ser ajustado pelo usuário editando o valor mostrado na régua de controle, entre os botões de atribuição de cargas e o potenciômetro de resultados. Nos modos de diagramas e envoltórias de esforços, a escala é definida em termos de unidade de esforço por unidade de comprimento. Na configuração deformada da estrutura, o fator de escala é um fator de ampliação dos deslocamentos (Deformed Factor). Nas linhas de influência, o fator de escala é um parâmetro adimensional que controla a escala do desenho da linha de influência em relação ao modelo.

As imagens das seções a seguir salientam a caixa de texto na interface gráfica onde o valor da escala pode ser editado e os botões que são selecionados para a obtenção dos resultados.

Configuração deformada
Diagrama de esforços normais (axiais) | Diagrama de esforços cortantes | Diagrama de momentos fletores
Linha de influência de esforços normais (axiais) | Linha de influência de esforços cortantes | Linha de influência de momentos fletores
Envoltória de esforços normais para cargas móveis | Envoltória de esforços cortantes para cargas móveis | Envoltória de momentos fletores para cargas móveis

Resultados Pontuais

Em modo de Diagrama (Diagram), clicando em um ponto sobre uma barra com o botão esquerdo do mouse, aparece na barra de mensagem acima da área de desenho o valor do correspondente diagrama para aquele ponto. Também em modo de Diagrama, se o botão direito do mouse for clicado sobre um nó, informações sobre os resultados de análise do nó, tais como deslocamentos e reações de apoio, são indicados na área lateral.

Em modo de Linha de Influência (Influence Line), se a opção para selecionar uma nova seção para traçado NÃO estiver selecionada, clicando em um ponto sobre uma barra com o botão esquerdo do mouse, aparece na barra de mensagem acima da área de desenho o valor da correspondente linha de influência naquele ponto.

Em modo de Envoltória de Esforços de Cargas Móveis (Load-train Envelope), clicando em um ponto sobre uma barra com o botão esquerdo do mouse, aparece na barra de mensagem acima da área de desenho os valores máximo e mínimo da envoltória no ponto.

Os valores para cada passo ao longo das barras também podem ser mostrados no desenho dos diagramas, linhas de influência ou envoltórias. Isso é exemplificado na imagem abaixo, que mostra resultados de um diagrama de momentos fletores com valores de passos indicados no desenho e na área lateral na direita da tela para a barra selecionada. O tamanho do passo é definido pela caixa de texto Step no canto superior direito da tela. Existe uma opção específica para isso (Step Values) que pode ser acionada no menu Display (veja na seção Controle de Visualização - Menu Display).

Em todos os modos, se for usado o botão direito do mouse, aparecem na área lateral na direita da tela informações adicionais sobre a barra com respeito ao resultado que está sendo visualizado. Além disso, se um passo para consulta de resultados estiver definido (Step), serão exibidos na mesma área os resultados por passos ao longo da barra selecionada.


Edição Avançada

O Ftool tem uma edição avançada comercialmente disponível com ferramentas adicionais.

Como obter

Para acessar a edição avançada, o usuário deve primeiramente comprar uma licença. Isso é feito no site do Ftool após se cadastrar. Após a compra da licença, o usuário receberá um email com a chave de acesso da licença. A chave também pode ser vista na página do usuário no site do Ftool.

Ao clicar no botão File > Upgrade..., uma janela abre onde o usuário deve inserir a chave da licença. Uma conexão à internet é necessária para esta operação, pois a chave terá que ser validade pelos servidores do Ftool.

Após validar a licença, o Ftool irá fechar. Ao ser reaberto, ele será inicializado na Edição Avançada. Nos usos subsequentes do programa, este abrirá na Edição Avançada enquanto a licença estiver válida. Cada vez que for aberto, o Ftool tentará entrar em contato com seus servidores para validar a licença. Se os servidores não puderem ser acessados devido a uma falta de acesso à internet ou por algum outro motivo, o programa continuará funcionando na Edição Avançada por trinta dias e/ou dez usos do programa. Ou seja, se o programa não for usado por muito tempo e aí uma tentativa de uso não consegue conectar aos servidores, a licença ainda será considerada válida pelos próximos dez usos.

Quando a chave for validada pelos servidores, um arquivo Ftool.license é criado no mesmo diretório que o executável do Ftool (Ftool.exe). Este arquivo deve sempre ser mantido na mesma pasta que o executável. Se o arquivo de licença não for detectado, o programa retornará à Edição Acadêmica. A licença é vinculada ao computador atual. Se o usuário desejar utilizar a Edição Avançada em mais de um computador, múltiplas licenças terão que ser adquiridas.

Compatibilidade com Edição Educacional

Os arquivos criados pelas Edições Educacional e Avançada são iguais e perfeitamente compatíveis. No entanto, se a Edição Avançada for usada para criar um modelo com múltiplos casos de carga e/ou combinações de casos de carga e este modelo é então aberto na Edição Educacional, um alerta aparecerá informando que apenas o primeiro caso de carga estará disponível. O modelo poderá ser modificado, calculado e salvo normalmente; os casos de carga ocultos e as combinações não serão descartados.

Configurações de Inicialização do Usuário

A Edição Acadêmica do Ftool sempre abre com configurações padrão: unidades no Sistema SI e formatação numérica conforme a janela de unidades (veja na seção Formatação de Unidades e Valores Numéricos), mostrando linhas de cota mas não reações, sem o grid, etc. Na Edição Avançada, no entanto, o usuário pode definir estas configurações iniciais com facilidade.

Para tal, o usuário deve configurar o programa da forma que deseja que este seja inicializado e então clicar em Options > Save current properties as default. Uma janela aparecerá para que o usuário confirme a operação. Se confirmadas, as propriedades serão salvas no arquivo Ftool.properties e já serão utilizadas caso o usuário deseje criar um novo modelo no Ftool.

Caso o usuário deseje voltar às configurações padrão do Ftool, deve simplesmente clicar Options > Restore factory settings. Novamente, uma janela aparecerá para confirmar a operação.

O arquivo Ftool.properties é criado no mesmo diretório que o executável do Ftool (Ftool.exe) assim que a licença é validada e deve ser mantido na mesma pasta que o diretório. Se o arquivo não for detectado, as configurações padrão serão adotadas e um novo arquivo Ftool.properties será criado com estas propriedades de fábrica.

O arquivo Ftool.properties é bem auto-explicativo, então usuários são convidados a explorá-lo para ver todas as opções que podem ser configuradas. Resumindo, estas são:

  • se o grid deve estar ativo, se o mouse deve ser atraído ao grid, e o espaçamento do mesmo;
  • se o modo teclado deve estar ativo;
  • o modo de resultados desejado (diagrama, linha de influência, etc);
  • o passo para resultados e se este deve ser normalizado;
  • se resultados estáticos devem ser adicionados às envoltórias do trem-tipo;
  • se o arquivo .POS deve ser salvo;
  • a cor do fundo;
  • o que desenhar na tela (linhas de cota, reações, cargas aplicadas, cargas aplicadas com os resultados, valores dos resultados ao longo das barras, etc);
  • os tamanhos dos apoios, textos e das cargas;
  • unidades e formatos numéricos.

Seção Construída pelo Usuário

A Edição Avançada também inclui um novo tipo de seção transversal: Trapezoid composition. Esta seção pode ser usada para descrever qualquer seção poligonal que não pode ser representada precisamente pelas seções parametrizadas. O usuário descreve a seção como uma composição de trapézios definindo a altura e as larguras do topo e do fundo de cada trapézio. A seção é sempre simétrica ao redor do seu eixo vertical natural. Com cada trapézio definido, um desenho esquemático em escala é impresso na tela, permitindo que o usuário valide que as dimensões corretas foram usadas.

Como o Ftool usa apenas o momento de inércia ao redor do eixo horizontal, seções ocas e/ou que não são simétricas ao redor do eixo vertical ainda podem ser representadas com precisão por este método. É necessário apenas consolidar as larguras ao longo da altura em uma seção de área e momento de inércia (ao redor do eixo horizontal) iguais. Por exemplo:

A matriz inicialmente apresenta cinco linhas, mas o usuário pode usar quantas necessitar. Quando a última linha é preenchida, uma nova é criada abaixo da mesma. Para apagar uma linha, o usuário deve clicar no título da linha (por exemplo, “Top”) e clicar na tecla Delete do teclado.

Esta seção pode ser rotacionada e espelhada. A seta representado o bordo superior natural da seção também é transformado desta forma, permitindo que o usuário identifique a orientação atual da seção e logo onde novos trapézios serão adicionados. Vale lembrar que para “seções equivalentes” tal como a apresentada acima, a seção rotacionada não representará com precisão o momento de inércia correto da seção real. Seções equivalentes devem ser definidas de acordo com a orientação efetiva da seção real.

Terminologia de carregamentos

O Ftool adota a seguinte terminologia:

  • Cargas

    Uma carga é uma solicitação externa aplicada à estrutura. O Ftool apresenta as seguintes solicitações: forças e moments nodais concentrados, momentos concentrados nas extremidades de barras, forças distribuídas uniforme e linearmente, cargas térmicas e trens-tipo. Cada instância de uma carga (por exemplo, uma força nodal de -10 kN) pode ser aplicada a múltiplos elementos de uma estrutura.

    Com exceção de trens-tipo, cargas são sempre aplicadas dentro de um caso de carga. A mesma carga pode ser aplicada em mais de um caso. Em tal situação, no entanto, qualquer modificação à carga será aplicada a todos os casos. Por este motivo, se o usuário selecionar uma carga que já está aplicada em outro caso, o seguinte alerta será apresentado:

  • Casos de carga

    Um caso de carga é uma coleção de cargas que sempre atuam simultaneamente. Por exemplo, um edifício normalmente terá alguns casos distintos, tais como:

    • PP: O peso-próprio da estrutura, o que pode agrupar uma série de cargas distribuídas representando o peso-próprio das componentes da estrutura (vigas, lajes, pilares, etc) e cargas concentradas representando as cargas aplicadas por vigas perpendiculares ao plano atual, entre outras;
    • SCP: Sobrecarga permanente devido aos acabamentos;
    • SCA: Sobrecarga acidental devido à ocupação;
    • Vi: Múltiplos casos de carga de vento em diferentes condições e em diferentes faces da estrutura;

    Um modelo sempre tem no mínimo um caso de carga e cargas são sempre aplicadas no caso de carga atual. Para mais detalhes, veja na seção Casos de carga.

  • Combinações de carga

    Uma combinação de carga é uma coleção de casos de carga que podem ocorrer simultaneamente. Por exemplo, um edifício pode ter algumas diferentes combinações, tais como:

    • O peso-próprio da estrutura junto com as sobrecargas permanente e acidental ( PP + SCP + SCA ), para compressão máxima dos pilares;
    • Múltiplas combinações do peso-próprio da estrutura, da sobrecarga permanente e cada um dos casos de vento ( PP + SCP + Vi ), para flexão máxima dos pilares;
    • o Múltiplas combinações do peso-próprio da estrutura, das sobrecargas permanente e acidental e de cada caso de vento (PP + SCP + SCA + Vi ), para flexo-compressão máxima dos pilares.

    Normas estruturais frequentemente requerem fatores de segurança que devem ser aplicados às cargas de acordo com sua classificação (carga permanente, acidental, vento, etc). O Ftool permite que o usuário defina um fator de multiplicação para cada caso dentro de uma combinação (por exemplo, 1,35 x ( PP x SCP ) + 1,5 x SCA + 1,4 x Vi). Para mais detalhes, veja na seção Combinações de carga.

Casos de carga

Este submenu permite que o usuário veja as cargas aplicadas em cada caso de carga. Clicando uma vez em uma carga na lista, todos os elementos sujeitos a esta carga são selecionados. Um duplo-clique em uma carga abre o menu de edição relevante. O usuário também pode controlar quais casos de carga serão considerados quando calculando as envoltórias de resultados. Isso pode ser feito clicando na caixa de seleção Envelope, que define semo caso atual será incluído, ou clicando no botão [image], que abre um menu onde o usuário pode selecionar quais os casos que serão considerados.

Assim como a maioria dos outros menus, este fica desabilitado quando vendo resultados. Apenas a caixa de seleção Envelope e o botão [image] permanecem ativos, permitindo que o usuário modifique os casos considerados.

Combinações de carga

Este menu permite que o usuário defina combinações de carga. O usuário deve clicar duas vezes na célula Load case da primeira linha em branco da matriz, o que abre um dropdown com todos os casos de carga que ainda não foram adicionados à combinação atual. A combinação então adiciona o caso selecionado com um fator de majoração unitário. Este fator pode ser modificado a qualquer momento. O formato do fator pode ser modificado na janela de formatação de unidades e valores numéricos. Casos de carga podem ser retirados de uma combinação selecionando as linhas desejadas e apertando Delete no teclado.

Quando casos são adicionados ou removidos ou fatores são modificados, o carregamento resultante da combinação atual é impresso no canvas.

O usuário também pode controlar quais combinações serão consideradas quando calculando as envoltórias de resultados. Isso pode ser feito clicando na caixa de seleção Envelope, que define se a combinação atual será incluída, ou clicando no botão [image] , que abre um menu onde o usuário pode selecionar quais as combinações que serão consideradas.

Enquanto os demais menus são desligados ao ver resultados, este menu permanece ativo. Isso permite que o usuário crie, modifique ou apague combinações de carga ao ver resultados. Os resultados são atualizados automaticamente com cada modificação da combinação.

Listas de Seleção de Cargas Estáticas e Trens-tipo

As listas de seleção no canto superior direto da janela podem ser usados para selecionar a carga estática (caso ou combinação de carga) ou móvel atual. Dependendo na situação, uma, nenhuma ou ambas listas podem estar desabilitadas.

Se em modo de resultados Diagram porém sem ver resultados, a lista de cargas estáticas apresentará apenas casos de carga. A única exceção é se estiver no menu Load Combinations, cujo caso apenas combinações de carga serão apresentadas. Se vendo resultados, a lista apresentará casos e combinações de carga.

Se no modo de resultados Influence Line (vendo ou não resultados), a lista de cargas estáticas é desabilitada e apresenta “NONE”.

Se nos modos de resultados Load Case Envelope ou Load Combination Envelope porém sem ver resultados, a lista de cargas estáticas apresentará apenas casos de carga. A única exceção é se estiver no menu Load Combinations, cujo caso apenas combinações de carga serão apresentadas. Se estiver vendo resultados, a lista é desabilitada e apresenta “Envelope”.

Se estiver no modo de resultados Envoltória de Trem-tipo mas sem ver resultados e a opção Add static load results to load-train envelope estiver ativa (veja na seção Superposição de resultados de cargas estáticas e móveis), a lista de cargas estáticas apresenta apenas casos de carga. A única exceção é se estiver no menu Load Combinations, cujo caso apenas combinações de carga serão apresentadas. Se vendo resultados, a lista apresenta casos e combinações de carga. Vendo ou não resultados, se a opção Add static load results to load-train envelope estiver desabilitada, a lista de cargas estáticas também estará e apresentará "NONE".

A lista de trens-tipo está ativa apenas se estiver nos modos de resultados Linha de Influência ou Envoltória de Trem-tipo ou se estiver no menu Load Train. Se ativa, a lista inclui todos os trens-tipo definidos e "NONE". Se desabilitada, apresenta apenas "NONE".

Menu de resultados de Envoltória de Casos ou Combinações de Carga

Na Edição Avançada, dois novos modos de resultado foram adicionados: envoltória de casos de carga (Load case envelope) e envoltória de combinações de carga (Load combination envelope). Estes são selecionados através de um dropdown que inclui a envoltória de trem-tipo padrão.

Os modos de resultados Load Case Envelope e Load Combination Envelope são utilizados para apresentar envoltórias limites estáticas de um determinado esforço em uma estrutura. As envoltórias são diagramas de valores mínimos e máximos deste esforço provocados pelas cargas estáticas (casos ou combinações de carga).

Apenas casos ou combinações que foram devidamente marcadas serão incluídas nas envoltórias (veja nas seções Casos de carga e Combinações de carga). Se nenhum caso/combinação estiver selecionado para a envoltória, um alerta aparecerá e o menu de seleção de casos/combinações na envoltória será aberto. Se o usuário tentar ver envoltórias de combinações sem ter definido uma combinação, um alerta aparecerá e o menu de combinações de carga abrirá.

Para a configuração deformada, o usuário deve selecionar qual componente deve ser impressa com o diagrama: o deslocamento horizontal, vertical, axial ou transversal. A envoltória apresenta apenas os valores máximos e mínimos em cada ponto para a componente selecionada e logo não pode ser vista como representativa da configuração deformada real.

Valores pontuais de envoltórias de cartas estáticas podem ser obtidas selecionando o ponto desejado com o botão esquerdo do mouse. Os valores máximos e mínimos no ponto desejado são apresentados na barra de mensagens acima do canvas.

Nestes modos o usuário pode aplicar transformações que não alteram a topologia da estrutura (veja na seção Transformações). Para tal, o usuário deve abrir o menu de transformações, selecionar os objetos desejados e então aplicar as transformações. Os resultados são automaticamente atualizados mantendo sua escala.

Envoltórias de resultados estáticos

Envoltória de casos/combinações de carga da componente vertical da deformada
Envoltória de casos/combinações de carga da força axial Envoltória de casos/combinações de carga da força cortante Envoltória de casos/combinações de carga da momento fletor